Files
moby/hack/make/test-integration
CrazyMax 5efe72415d remove Dockerfile.e2e
Dockerfile.e2e is not used anymore. Integration tests run
through the main Dockerfile.

Also removes the daemon OS/Arch detection script that is not
necessary anymore. It was used to select the Dockerfile based
on the arch like Dockerfile.arm64 but we don't have those
anymore. Was also used to check referenced frozen images
in the Dockerfile.

Signed-off-by: CrazyMax <crazy-max@users.noreply.github.com>
2023-05-29 11:03:48 +02:00

28 lines
584 B
Bash
Executable File

#!/usr/bin/env bash
set -e -o pipefail
source hack/make/.integration-test-helpers
if [ ! -z "${TEST_SKIP_INTEGRATION}" ] && [ ! -z "${TEST_SKIP_INTEGRATION_CLI}" ]; then
echo integration and integration-cli skipped according to env vars
exit 0
fi
(
env
build_test_suite_binaries
bundle .integration-daemon-start
testexit=0
(repeat run_test_integration) || testexit=$?
# Always run cleanup, even if the subshell fails
bundle .integration-daemon-stop
cleanup_test_suite_binaries
echo exiting test-integration
set -x
exit ${testexit}
) 2>&1 | tee -a "$DEST/test.log"